import hasRole from './permission/hasRole'
import {hasPermi,hasNoPermi,hasPermiView} from './permission/hasPermi'
//import {hasNoPermi} from './permission/Permi'
import copyText from './common/copyText'

export default function directive(app){
  app.directive('hasRole', hasRole)
  app.directive('hasPermi', hasPermi)
  app.directive('hasNoPermi', hasNoPermi)
  app.directive('copyText', copyText)
  app.directive('hasPermiView',hasPermiView)
}